Ticket #10830: 10830.patch

File 10830.patch, 1.6 KB (added by jason, 8 years ago)

FYI Only---already applied to spkg.

  • SPKG.txt

    # HG changeset patch
    # User Jason Grout <jason-sage@creativetrax.com>
    # Date 1299003482 21600
    # Node ID ced23f4bbb363d8dbc333f48dcc7542115c83932
    # Parent  26c5d37c38e66a7482edead52c12be64df467bce
    #10830: Add SAGE_SPKG_INSTALL_DOCS support to build and install docs in $SAGE_ROOT/local/share/doc/
    
    diff -r 26c5d37c38e6 -r ced23f4bbb36 SPKG.txt
    a b  
    7979
    8080== Changelog ==
    8181
     82=== pari-2.4.3.alpha.p6 (Jason Grout, 22 Feb 2011) ===
     83 * #10830: Add SAGE_SPKG_INSTALL_DOCS support to build and install docs in $SAGE_ROOT/local/share/doc/
     84
    8285=== pari-2.4.3.alpha.p5 (Jeroen Demeyer, January 23th, 2010) ===
    8386 * Avoid parallel "make install" because of race conditions.
    8487 * Remove Makefile_mv.patch because it doesn't actually fix the race
  • spkg-install

    diff -r 26c5d37c38e6 -r ced23f4bbb36 spkg-install
    a b  
    233233        echo >&2 "Error installing gprc.expect"
    234234        exit 1
    235235    fi
     236
     237    # Build and install docs if requested
     238    if [ "x$SAGE_SPKG_INSTALL_DOCS" = xyes ] ; then
     239        if [ `command -v pdftex` ] ; then
     240            echo "Good, pdftex was found, so building the documentation"
     241        else
     242            echo "Sorry, can't build the documentation for pari since pdftex was not found"   
     243            exit 1
     244        fi
     245
     246        $MAKE docpdf
     247        if [ $? -ne 0 ]; then
     248            echo "Error building pari docs."
     249            exit 1
     250        fi
     251        mkdir -p $SAGE_ROOT/local/share/doc/pari
     252        cp -r doc/*.pdf $SAGE_ROOT/local/share/doc/pari/
     253    fi
     254
    236255}
    237256
    238257